Package com.collibra.dgc.core.api.model.activitystream

# Enum Class ActivityCause

Object
Enum<ActivityCause>
ActivityCause

All Implemented Interfaces:
  `Serializable`, `Comparable<ActivityCause>`, `Constable`

public enum ActivityCause extends Enum<ActivityCause>
The cause of activity

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BULK_DELETE`
  `BULK_EDIT`
  `BULK_INSERT`
  `BULK_MOVE`
  `IMPORT`
  `MANUAL`
  `WORKFLOW`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ActivityCause`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ActivityCause[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MANUAL

    public static final ActivityCause MANUAL

  - ### IMPORT

    public static final ActivityCause IMPORT

  - ### BULK_DELETE

    public static final ActivityCause BULK_DELETE

  - ### BULK_MOVE

    public static final ActivityCause BULK_MOVE

  - ### BULK_EDIT

    public static final ActivityCause BULK_EDIT

  - ### BULK_INSERT

    public static final ActivityCause BULK_INSERT

  - ### WORKFLOW

    public static final ActivityCause WORKFLOW

- ## Method Details

  - ### values

    public static ActivityCause[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ActivityCause valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null